﻿
//-----------------FieldProperties-----------------
//User defined options for a variable placeholder field

//TODO: Add all available properties
EFI.BoxProperties = function(id, defaultBoxProperties) {
	this.id = id;

	this.boxType = new EFI.UserControl("boxType", "Type", EFI.ConfigSettings.userControlTypes.dropdown, "", EFI.ConfigSettings.boxTypes.arrayBoxType, false);
	this.boxVariable = new EFI.UserControl("boxVariable", "Keep frame editable in SmartCanvas", EFI.ConfigSettings.userControlTypes.checkbox, "", [], false);
	//this.fieldProperties = []; //array of FieldProperties;

	if(defaultBoxProperties) this.defaultBoxProperties(defaultBoxProperties)
	//if(this.fieldProperties.length == 0) this.fieldProperties.push(new EFI.FieldProperties());
};

EFI.BoxProperties.prototype.defaultBoxProperties = function(defaultBoxProperties) {
	this.id = defaultBoxProperties.id;

	EFI.Utils.copyObjectFieldValueProperties(defaultBoxProperties, this);
};

EFI.BoxProperties.prototype.getId = function() {
	return this.id;
};

EFI.BoxProperties.prototype.getBoxType = function() {
	return this.boxType.fieldValue;
};

EFI.BoxProperties.prototype.getBoxVariable = function() {
	return this.boxVariable.fieldValue;
};

//-----------------//FieldProperties-----------------