
//-----------------ConfigSettings-----------------
//Global settings for the application
EFI.ConfigSettings = {};

EFI.ConfigSettings.outputType = "InDesign Text";
//EFI.ConfigSettings.outputType = "DocML";

EFI.ConfigSettings.globals = {
	windowName: "EFI SmartCanvas Exporter - v1.0",
	windowWidth: 300,
	windowHeight: 300,
	placeHolderRegEx: "\\[.*?\\]",
	objectTemplateSaveLabel: "EFISmartCanvasExporter",
	fieldPanelWidth: 200,
	fieldPanelHeight: 100
};

EFI.ConfigSettings.objectTypes = {
	textframe: "textframe",
	imageframe: "rectangle",
	image: "image",
	text: "text"
};

EFI.ConfigSettings.userControlTypes = {
	textbox: "textbox",
	readonly: "readonly",
	checkbox: "checkbox",
	dropdown: "dropdown",
	pdfExportPreference: "pdfExportPreference"
};

EFI.ConfigSettings.menuObjectNames = {
	tabBar: "tabbar",
	template: "template",
	fields: "fields",
	properties: "properties",
	fieldInfo: "fieldinfo",
	textProperties: "textproperties",
	imageProperties: "imageproperties",
	fieldsTree: "fieldstree"
};

EFI.ConfigSettings.objectBounds = {
	y1: 0,
	x1: 1,
	y2: 2,
	x2: 3
};

var arrayBoxType = ["Text Object", "Image Object"];
EFI.ConfigSettings.boxTypes = {
	arrayBoxType: arrayBoxType,
	arrayBoxTypeText: [arrayBoxType[0]],
	arrayBoxTypeImage: [arrayBoxType[1]]
};

EFI.ConfigSettings.colorSpace = {
	CMYK: 1129142603,
	LAB: 1665941826,
	MIXEDINK: 1666009432,
	RGB: 1666336578
};

EFI.ConfigSettings.anchorPoint = {
    BOTTOM_CENTER_ANCHOR: 1095656035,
    BOTTOM_LEFT_ANCHOR: 1095656044,
    BOTTOM_RIGHT_ANCHOR: 1095656050,
    CENTER_ANCHOR: 1095656308,
    LEFT_CENTER_ANCHOR: 1095658595,
    RIGHT_CENTER_ANCHOR: 1095660131,
    TOP_LEFT_ANCHOR: 1095660652,
    TOP_CENTER_ANCHOR: 1095660643,
    TOP_RIGHT_ANCHOR: 1095660658
};

EFI.ConfigSettings.CornerOption = {
    BEVEL_CORNER: 1667588726,
    FANCY_CORNER: 1667589742,
    INSET_CORNER: 1667591795,
    INVERSE_ROUNDED_CORNER: 1667591798,
    NONE: 1852796517,
    ROUNDED_CORNER: 1667592804
};

//-----------------//ConfigSettings-----------------